Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ObjectDeclNode Struct Reference

`#include <ast.h>`

Inheritance diagram for ObjectDeclNode:

## Public Member Functions
U32 | precompile (TypeReq type)
U32 | precompileSubObject (bool)
U32 | compile (U32 *codeStream, U32 ip, TypeReq type)
U32 | compileSubObject (U32 *codeStream, U32 ip, bool)
TypeReq | getPreferredType ()
Public Member Functions inherited from ExprNode
U32 | precompileStmt (U32 loopCount)
U32 | compileStmt (U32 *codeStream, U32 ip, U32 continuePoint, U32 breakPoint)
Public Member Functions inherited from StmtNode
| StmtNode ()
void | append (StmtNode *next)
StmtNode * | getNext ()
void | addBreakCount ()
void | addBreakLine (U32 ip)
virtual void | setPackage (StringTableEntry packageName)

## Static Public Member Functions
static ObjectDeclNode * | alloc (ExprNode *classNameExpr, ExprNode *objectNameExpr, ExprNode *argList, StringTableEntry parentObject, SlotAssignNode *slotDecls, ObjectDeclNode *subObjects, bool structDecl, bool classNameInternal, bool isMessage)

## Public Attributes
ExprNode * | classNameExpr
StringTableEntry | parentObject
ExprNode * | objectNameExpr
ExprNode * | argList
SlotAssignNode * | slotDecls
ObjectDeclNode * | subObjects
bool | structDecl
U32 | failOffset
bool | isClassNameInternal
bool | isMessage
Public Attributes inherited from StmtNode
StmtNode * | next
| Next entry in parse tree. More...
StringTableEntry | dbgFileName
| Name of file this node is associated with. More...
S32 | dbgLineNumber

## Member Function Documentation

ObjectDeclNode * alloc | ( | ExprNode * | classNameExpr,
|  | ExprNode * | objectNameExpr,
|  | ExprNode * | argList,
|  | StringTableEntry | parentObject,
|  | SlotAssignNode * | slotDecls,
|  | ObjectDeclNode * | subObjects,
|  | bool | structDecl,
|  | bool | classNameInternal,
|  | bool | isMessage
| ) |  |
| static

U32 compile | ( | U32 * | codeStream,
|  | U32 | ip,
|  | TypeReq | type
| ) |  |
| virtual

Implements ExprNode.

U32 compileSubObject | ( | U32 * | codeStream,
|  | U32 | ip,
|  | bool | root
| ) |  |

TypeReq getPreferredType | ( |  | ) |
| virtual

Implements ExprNode.

U32 precompile | ( | TypeReq | type | ) |
| virtual

Implements ExprNode.

U32 precompileSubObject | ( | bool |  | ) |

## Member Data Documentation

ExprNode* argList

ExprNode* classNameExpr

U32 failOffset

bool isClassNameInternal

bool isMessage

ExprNode* objectNameExpr

StringTableEntry parentObject

SlotAssignNode* slotDecls

bool structDecl

ObjectDeclNode* subObjects

The documentation for this struct was generated from the following files:

- console/ast.h
- console/astAlloc.cc
- console/astNodes.cc